Bug 441699 - Review Request: perl-Catalyst-Plugin-CGI-Untaint - CGI::Untaint Plugin for Catalyst
Review Request: perl-Catalyst-Plugin-CGI-Untaint - CGI::Untaint Plugin for Ca...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Catalyst-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 11:25 EDT by Chris Weyl
Modified: 2009-01-07 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 00:56:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-04-09 11:25:28 EDT
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-Plugin-CGI-Untaint-0.05-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Catalyst-Plugin-CGI-Untaint.spec

Description:
This module wraps CGI::Untaint up into a Catalyst plugin.
Comment 2 Lubomir Kundrak 2008-04-21 04:11:24 EDT
SPEC file seems to conform to the guidelines, is sane, legible, uses macros
consistently.

I'll finish the review once it builds in mock for me.
Comment 3 Lubomir Kundrak 2008-04-21 04:13:04 EDT
Built without problems
No problems in build.log
Package lists are sane
Rpmlint does not complain

Needs work: (minor, probably common to perl modules?)

* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)

APPROVED
Comment 4 Chris Weyl 2008-04-21 14:18:32 EDT
(In reply to comment #3)
> Needs work: (minor, probably common to perl modules?)
> 
> * The package should contain the text of the license
>   (wiki: Packaging/ReviewGuidelines)

Exactly.  We include the text where it's included, otherwise just typically
don't worry about it too much...

Comment 5 Chris Weyl 2008-04-21 14:18:52 EDT
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-CGI-Untaint
Short Description: CGI::Untaint Plugin for Catalyst
Owners: cweyl
Branches: F-7, F-8, F-9, devel
InitialCC: perl-sig
Comment 6 Kevin Fenzi 2008-04-22 13:19:05 EDT
cvs done.
Comment 7 Chris Weyl 2008-04-23 00:56:25 EDT
Imported and built in rawhide.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.